// © Copyrights 2026 Praajna Pattada

#include "Computer.h"

void Computer::show_information()
{
    std::cout << "Details of computer named \'" << name << "\':" << '\n' << '\n';
    std::cout << "This computer runs " << OS << " as its operating system." << '\n';
    std::cout << "This computer's processor is " << CPU << "." << '\n';
    std::cout << "This computer has " << RAM << " " << RAM_units << " of Random Access Memory." << '\n';
    
    if (deviceType == "Laptop")
        isPortable = true;
    else
        isPortable = false;
    
    if (isPortable)
        std::cout << "This computer is a laptop and is portable." << '\n';
    else
        std::cout << "This computer is a desktop. It is not portable." << '\n';

    std::cout << "______________________" << '\n' << '\n';
}
